<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta charset="UTF-8">
    <title>Просмотр фильма</title>
</head>
<body>
<form layout:fragment="content">
    <div>
        <h3 th:text="'Информация о фильме: ' + ${film.getFilmTitle()}"></h3>
        <form class="row g-1">
            <div class="mb-2 row">
                <label for="filmTitle" class="col-sm-2 col-form-label no-border">Название:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getFilmTitle()}" type="text" readonly class="form-control-plaintext" id="filmTitle">
                </div>
            </div>
            <div class="mb-2 row">
                <label for="genre" class="col-sm-2 col-form-label">Жанр:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getGenre().getGenreTextDisplay()}" class="form-control-plaintext" id="genre">
                </div>
            </div>
<!--            <div class="mb-2 row">-->
<!--                <label class="col-sm-2 col-form-label">Онлайн копия:</label>-->
<!--                <div class="col-sm-10">-->
<!--                    <a class="text-link text-blue" th:if="${film.getOnlineCopyPath()} != null" th:href="@{|/films/download?filmId=${film.id}|}">-->
<!--                        <span>Скачать книгу</span>-->
<!--                    </a>-->
<!--                </div>-->
<!--            </div>-->
            <div class="mb-2 row">
                <label for="amount" class="col-sm-2 col-form-label">Количество экземпляров в наличии:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getAmount()}" class="form-control-plaintext" id="amount">
                </div>
<!--            </div>-->
<!--            <div class="mb-2 row">-->
<!--                <label for="pages" class="col-sm-2 col-form-label">Количество страниц:</label>-->
<!--                <div class="col-sm-10">-->
<!--                    <p th:text="${film.getPageCount()}" class="form-control-plaintext" id="pages">-->
<!--                </div>-->
<!--            </div>-->
<!--            <div class="mb-2 row">-->
<!--                <label for="publish" class="col-sm-2 col-form-label">Издательство:</label>-->
<!--                <div class="col-sm-10">-->
<!--                    <p th:text="${film.getPublish()}" class="form-control-plaintext" id="publish">-->
<!--                </div>-->
<!--            </div>-->
            <div class="mb-2 row">
                <label for="date" class="col-sm-2 col-form-label">Примьера:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getPremierYear()}" class="form-control-plaintext" id="date">
                </div>
            </div>
            <div class="mb-2 row">
                <label for="desc" class="col-sm-2 col-form-label">Описание:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getDescription()}" class="form-control-plaintext" id="desc">
                </div>
            </div>
        </form>
        <hr class="hr"/>
        <form class="row g-1">
            <h4 class="mt-3 mb-3" th:text="'Информация о режиссере'"></h4>
            <div th:each="director : ${film.getDirectors()}">
                <div class="mb-2 row">
                    <label for="fio" class="col-sm-2 col-form-label">Имя:</label>
                    <div class="col-sm-10">
                        <a class="text-link text-blue" th:href="'/directors/' + ${director.getId()}" th:text="${director.getFio()}" id="fio"></a>
                    </div>
                </div>
                <div class="mb-2 row">
                    <label for="date_birth" class="col-sm-2 col-form-label">Дата рождения:</label>
                    <div class="col-sm-10">
                        <p th:text="${director.getBirthDate()}" class="form-control-plaintext" id="date_birth">
                    </div>
                </div>
                <div class="mb-2 row">
                    <label for="desc_director" class="col-sm-2 col-form-label">Описание:</label>
                    <div class="col-sm-10">
                        <p th:text="${director.getDescription()}" class="form-control-plaintext" id="desc_director">
                    </div>
                </div>
            </div>
        </form>
        <hr class="hr"/>
        <div class="mt-2">
            <a th:if="${film.getAmount() > 0}" sec:authorize="!hasRole('ADMIN')"
               th:href="'/publish/get-film/' + ${film.id}">Арендовать фильм</a>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
        </div>
    </div>
</form>
</body>
</html>
